| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout > Struct Template Reference

< Layout function

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >:
[legend]

## Public Types
using | TensorView = TensorView< Element, Layout >

## Public Member Functions
| TensorFillLinearFunc ()
| TensorFillLinearFunc (TensorView const &view_, Array< Element, Layout::kRank > const &v_, Element s_=Element(0))
| Constructs functor. More...
void | operator() (Coord< Layout::kRank > const &coord) const
| Updates the tensor. More...

## Public Attributes
TensorView | view
Array< Element, Layout::kRank > | v
Element | s

## Member Typedef Documentation

template<typename Element, typename Layout>

using cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::TensorView = TensorView<Element, Layout>

## Constructor & Destructor Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::TensorFillLinearFunc | ( |  | ) |
| inline

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::TensorFillLinearFunc | ( | TensorView const & | view_,
|  | Array< Element, Layout::kRank > const & | v_,
|  | Element | s_ = `Element(0)`
| ) |  |
| inline

## Member Function Documentation

template<typename Element, typename Layout>

void cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::operator() | ( | Coord< Layout::kRank > const & | coord | ) | const
| inline

## Member Data Documentation

template<typename Element, typename Layout>

Element cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::s

template<typename Element, typename Layout>

Array<Element, Layout::kRank> cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::v

template<typename Element, typename Layout>

TensorView cutlass::reference::host::detail::TensorFillLinearFunc< Element, Layout >::view

The documentation for this struct was generated from the following file:

- host/tensor_fill.h